PropertyBinding (Groovy 3.0.9)

Package org.codehaus.groovy.binding

## Class PropertyBinding

- java.lang.Object
- - org.codehaus.groovy.binding.PropertyBinding

- All Implemented Interfaces:
    `SourceBinding`, `TargetBinding`, `TriggerBinding`

      @Deprecated
      public class PropertyBinding
      extends Object
      implements SourceBinding, TargetBinding, TriggerBinding

  Deprecated.
  Since:
    Groovy 1.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PropertyBinding.UpdateStrategy` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyBinding​(Object bean, String propertyName)` | Deprecated.
    `PropertyBinding​(Object bean, String propertyName, String updateStrategy)` | Deprecated.
    `PropertyBinding​(Object bean, String propertyName, PropertyBinding.UpdateStrategy updateStrategy)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FullBinding` | `createBinding​(SourceBinding source, TargetBinding target)` | Deprecated.
    `Object` | `getBean()` | Deprecated.
    `String` | `getPropertyName()` | Deprecated.
    `Object` | `getSourceValue()` | Deprecated.
    `PropertyBinding.UpdateStrategy` | `getUpdateStrategy()` | Deprecated.
    `boolean` | `isNonChangeCheck()` | Deprecated.
    `void` | `setBean​(Object bean)` | Deprecated.
    `void` | `setNonChangeCheck​(boolean nonChangeCheck)` | Deprecated.
    `void` | `setPropertyName​(String propertyName)` | Deprecated.
    `void` | `updateTargetValue​(Object newValue)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyBinding

          public PropertyBinding​(Object bean,
                                 String propertyName)

      Deprecated.

    - #### PropertyBinding

          public PropertyBinding​(Object bean,
                                 String propertyName,
                                 String updateStrategy)

      Deprecated.

    - #### PropertyBinding

          public PropertyBinding​(Object bean,
                                 String propertyName,
                                 PropertyBinding.UpdateStrategy updateStrategy)

      Deprecated.

  - ### Method Detail

    - #### getUpdateStrategy

          public PropertyBinding.UpdateStrategy getUpdateStrategy()

      Deprecated.

    - #### updateTargetValue

          public void updateTargetValue​(Object newValue)

      Deprecated.
      Specified by:
        `updateTargetValue` in interface `TargetBinding`

    - #### isNonChangeCheck

          public boolean isNonChangeCheck()

      Deprecated.

    - #### setNonChangeCheck

          public void setNonChangeCheck​(boolean nonChangeCheck)

      Deprecated.

    - #### getSourceValue

          public Object getSourceValue()

      Deprecated.
      Specified by:
        `getSourceValue` in interface `SourceBinding`

    - #### createBinding

          public FullBinding createBinding​(SourceBinding source,
                                           TargetBinding target)

      Deprecated.
      Specified by:
        `createBinding` in interface `TriggerBinding`

    - #### getBean

          public Object getBean()

      Deprecated.

    - #### setBean

          public void setBean​(Object bean)

      Deprecated.

    - #### getPropertyName

          public String getPropertyName()

      Deprecated.

    - #### setPropertyName

          public void setPropertyName​(String propertyName)

      Deprecated.